Index: /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt
===================================================================
--- /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9793)
+++ /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9794)
@@ -44,49 +44,49 @@
     <attached>
 
-    <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
-	<attached>
-		<Model mesh="HeavyCruiser_frontR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-	</attached>
-	<collisionShapes>
-		<BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
-        <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
-	</collisionShapes>
-    </StaticEntity>
-    <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
-	<attached>
-		<Model mesh="HeavyCruiser_frontL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-	</attached>
-	<collisionShapes>
-        	<BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
-        	<BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>   
-	</collisionShapes>
-    </StaticEntity>
-            <Model mesh="HeavyCruiser_body.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            
-            
-            <Model mesh="HeavyCruiser_partL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_partR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_sidearmL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_sidearmLfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_sidearmR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_sidearmRfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
+            <attached>
+                <Model mesh="HeavyCruiser_frontR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+            </attached>
+            <collisionShapes>
+                <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
+                <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
+            </collisionShapes>
+        </StaticEntity>
+        <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
+            <attached>
+                <Model mesh="HeavyCruiser_frontL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+            </attached>
+            <collisionShapes>
+                <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
+                <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>   
+            </collisionShapes>
+        </StaticEntity>
+
+        <Model mesh="HeavyCruiser_body.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+
+        <Model mesh="HeavyCruiser_partL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <Model mesh="HeavyCruiser_partR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <Model mesh="HeavyCruiser_sidearmL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <Model mesh="HeavyCruiser_sidearmLfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <Model mesh="HeavyCruiser_sidearmR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <Model mesh="HeavyCruiser_sidearmRfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
 
             <!-- bay1 lights -->
-            <BlinkingBillboard position="75,30,-416" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.05 frequency=0.3 phase=240 quadratic=1 />
-            <BlinkingBillboard position="-75,30,-416" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.05 frequency=0.3 phase=240 quadratic=1 />
-            <BlinkingBillboard position="74,30,-402" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.1 frequency=0.3 phase=120 quadratic=1 />
-            <BlinkingBillboard position="-74,30,-402" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.1 frequency=0.3 phase=120 quadratic=1 />
-            <BlinkingBillboard position="73,30,-388" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.15 frequency=0.3 phase=0 quadratic=1 />
-            <BlinkingBillboard position="-73,30,-388" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.15 frequency=0.3 phase=0 quadratic=1 />
+        <BlinkingBillboard position="75,30,-416" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.05 frequency=0.3 phase=240 quadratic=1 />
+        <BlinkingBillboard position="-75,30,-416" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.05 frequency=0.3 phase=240 quadratic=1 />
+        <BlinkingBillboard position="74,30,-402" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.1 frequency=0.3 phase=120 quadratic=1 />
+        <BlinkingBillboard position="-74,30,-402" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.1 frequency=0.3 phase=120 quadratic=1 />
+        <BlinkingBillboard position="73,30,-388" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.15 frequency=0.3 phase=0 quadratic=1 />
+        <BlinkingBillboard position="-73,30,-388" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.15 frequency=0.3 phase=0 quadratic=1 />
             <!-- front position lights -->
-            <BlinkingBillboard position="67,-5,-240" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
-            <BlinkingBillboard position="-67,-5,-240" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
-            <BlinkingBillboard position="72,51,-380" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
-            <BlinkingBillboard position="-72,51,-380" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
+        <BlinkingBillboard position="67,-5,-240" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
+        <BlinkingBillboard position="-67,-5,-240" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
+        <BlinkingBillboard position="72,51,-380" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
+        <BlinkingBillboard position="-72,51,-380" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
             <!-- rear position lights -->
-            <BlinkingBillboard position="95,-15,483" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
-            <BlinkingBillboard position="-95,-15,483" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
-            <BlinkingBillboard position="74,103,524" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
-            <BlinkingBillboard position="-74,103,524" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
+        <BlinkingBillboard position="95,-15,483" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
+        <BlinkingBillboard position="-95,-15,483" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
+        <BlinkingBillboard position="74,103,524" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
+        <BlinkingBillboard position="-74,103,524" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
 
 
@@ -100,12 +100,74 @@
     </attached>
     <collisionShapes>
-        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>   
-        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>   
-
-        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>   
-        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/> 		
-
-        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>           
-        
+        <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
+        <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>
+
+
+        <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
+        <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>
+
+
+        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>
+        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>
+
+
+        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>
+        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/>
+
+
+        <BoxCollisionShape position="109,47,87" halfExtents="29,8,26" info="sidearmR, upper connection"/>
+        <BoxCollisionShape position="99,-1,79" roll="-15" halfExtents="40,4,9" info="sidearmR, lower connection"/>
+        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR, front"/>
+        <BoxCollisionShape position="140,12,261" roll="-15" halfExtents="22,41,43" info="sidearmR, back"/>
+        <BoxCollisionShape position="145,25,5" roll="-15" halfExtents="10,18,5" info="sidearmR, front break"/>
+        <BoxCollisionShape position="133,-13,29" roll="-15" halfExtents="12,6,17" info="sidearmR, bottom cylinder"/>
+        <BoxCollisionShape position="165,-4,31" roll="-15" halfExtents="7,21,13" info="sidearmR, box"/>
+        <BoxCollisionShape position="153,59,96" roll="-15" halfExtents="6,7,60" info="sidearmR, upper beam"/>
+        <BoxCollisionShape position="143,57,119" roll="-15" halfExtents="3,4,85" info="sidearmR, upper inner beam"/>
+        <BoxCollisionShape position="142,53,212" pitch="21" yaw="-5" roll="-15" halfExtents="3,4,10" info="sidearmR, upper inner beam"/>
+        <BoxCollisionShape position="160,52,119" roll="-15" halfExtents="3,4,85" info="sidearmR, upper outer beam"/>
+        <BoxCollisionShape position="159,48,212" pitch="21" yaw="-5" roll="-15" halfExtents="3,4,10" info="sidearmR, upper outer beam"/>
+        <BoxCollisionShape position="152,54,34" pitch="-46" yaw="14" roll="-15" halfExtents="6,7,10" info="sidearmR, upper beam front"/>
+        <BoxCollisionShape position="152,54,162" pitch="30" yaw="-9" roll="-15" halfExtents="6,7,12" info="sidearmR, upper beam back"/>
+        <BoxCollisionShape position="168,21,119" roll="-15" halfExtents="3,5,109" info="sidearmR, outer beam"/>
+        <BoxCollisionShape position="134,-10,169" roll="-15" halfExtents="6,4,55" info="sidearmR, lower beam front"/>
+        <BoxCollisionShape position="131,-20,217" pitch="-20" roll="-15" yaw="5" halfExtents="6,12,3" info="sidearmR, lower beam middle"/>
+        <BoxCollisionShape position="130,-29,233" roll="-15" halfExtents="6,3,15" info="sidearmR, lower beam back"/>
+
+
+        <BoxCollisionShape position="141,15,-51" roll="-15" halfExtents="27,44,64" info="sidearmRfront"/>
+        <BoxCollisionShape position="153,59,-30" roll="-15" halfExtents="4,2,38" info="sidearmRfront, top"/>
+        <BoxCollisionShape position="153,61,-41" roll="-15" halfExtents="4,4,11" info="sidearmRfront, top"/>
+        <BoxCollisionShape position="153,60,-65" roll="-15" halfExtents="4,3,4" info="sidearmRfront, top"/>
+        <BoxCollisionShape position="153,59,-41" roll="-15" halfExtents="8,2,11" info="sidearmRfront, top"/>
+
+
+        <BoxCollisionShape position="-109,47,87" halfExtents="29,8,26" info="sidearmL, upper connection"/>
+        <BoxCollisionShape position="-99,-1,79" roll="15" halfExtents="40,4,9" info="sidearmL, lower connection"/>
+        <BoxCollisionShape position="-145,21,115" roll="15" halfExtents="19,31,105" info="sidearmL, front"/>
+        <BoxCollisionShape position="-140,12,261" roll="15" halfExtents="22,41,43" info="sidearmL, back"/>
+        <BoxCollisionShape position="-145,25,5" roll="15" halfExtents="10,18,5" info="sidearmL, front break"/>
+        <BoxCollisionShape position="-133,-13,29" roll="15" halfExtents="12,6,17" info="sidearmL, bottom cylinder"/>
+        <BoxCollisionShape position="-165,-4,31" roll="15" halfExtents="7,21,13" info="sidearmL, box"/>
+        <BoxCollisionShape position="-153,59,96" roll="15" halfExtents="6,7,60" info="sidearmL, upper beam"/>
+        <BoxCollisionShape position="-143,57,119" roll="15" halfExtents="3,4,85" info="sidearmL, upper inner beam"/>
+        <BoxCollisionShape position="-142,53,212" pitch="21" yaw="5" roll="15" halfExtents="3,4,10" info="sidearmL, upper inner beam"/>
+        <BoxCollisionShape position="-160,52,119" roll="15" halfExtents="3,4,85" info="sidearmL, upper outer beam"/>
+        <BoxCollisionShape position="-159,48,212" pitch="21" yaw="5" roll="15" halfExtents="3,4,10" info="sidearmL, upper outer beam"/>
+        <BoxCollisionShape position="-152,54,34" pitch="-46" yaw="-14" roll="15" halfExtents="6,7,10" info="sidearmL, upper beam front"/>
+        <BoxCollisionShape position="-152,54,162" pitch="30" yaw="9" roll="15" halfExtents="6,7,12" info="sidearmL, upper beam back"/>
+        <BoxCollisionShape position="-168,21,119" roll="15" halfExtents="3,5,109" info="sidearmL, outer beam"/>
+        <BoxCollisionShape position="-134,-10,169" roll="15" halfExtents="6,4,55" info="sidearmL, lower beam front"/>
+        <BoxCollisionShape position="-131,-20,217" pitch="-20" roll="15" yaw="-5" halfExtents="6,12,3" info="sidearmL, lower beam middle"/>
+        <BoxCollisionShape position="-130,-29,233" roll="15" halfExtents="6,3,15" info="sidearmL, lower beam back"/>
+
+
+        <BoxCollisionShape position="-141,15,-51" roll="15" halfExtents="27,44,64" info="sidearmLfront"/>
+        <BoxCollisionShape position="-153,59,-30" roll="15" halfExtents="4,2,38" info="sidearmLfront, top"/>
+        <BoxCollisionShape position="-153,61,-41" roll="15" halfExtents="4,4,11" info="sidearmLfront, top"/>
+        <BoxCollisionShape position="-153,60,-65" roll="15" halfExtents="4,3,4" info="sidearmLfront, top"/>
+        <BoxCollisionShape position="-153,59,-41" roll="15" halfExtents="8,2,11" info="sidearmLfront, top"/>
+
+
         <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
         <BoxCollisionShape position="-60,35,-310" halfExtents="13,28,60" info="body, bay1, Lwall"/> 
@@ -115,48 +177,69 @@
 
         <BoxCollisionShape position="0,35,-125" halfExtents="83,30,130" info="body, front"/>
-	    <BoxCollisionShape position="0,6,-307" halfExtents="19,3,43" info="body, frontbottom"/>
-	    <BoxCollisionShape position="0,5,-196" halfExtents="27,3,24" info="body, dock"/>
-	    <BoxCollisionShape position="0,7,-248" pitch="25" halfExtents="63,4,12" info="body, dockF"/>
-	    <BoxCollisionShape position="70,6,-120" roll="20" halfExtents="12,6,120" info="body, dockR"/>
-	    <BoxCollisionShape position="63,-2,-180" halfExtents="3,3,60" info="body, dockR"/>
-	    <BoxCollisionShape position="-70,6,-120" roll="-20" halfExtents="12,6,120" info="body, dockL"/>
-	    <BoxCollisionShape position="-63,-2,-180" halfExtents="3,3,60" info="body, dockL"/>
-	    <BoxCollisionShape position="87,32,-63" halfExtents="4,23,50" info="body, frontCR"/>
-	    <BoxCollisionShape position="-87,32,-63" halfExtents="4,23,50" info="body, frontCL"/>
-
-	    <BoxCollisionShape position="0,72,-213" halfExtents="37,8,60" info="body, Fbridge"/>
-	    <BoxCollisionShape position="0,72,-110" halfExtents="53,11,53" info="body, Cbridge"/>
-	    <BoxCollisionShape position="0,86,-110" halfExtents="40,4,40" info="body, Cbridge"/>
-	    <BoxCollisionShape position="0,70,-60" halfExtents="65,11,30" info="body, Bbridge"/>
-	    <BoxCollisionShape position="0,84,-45" halfExtents="33,11,26" info="body, Bbridge"/>
-	    <BoxCollisionShape position="0,79,-6" pitch="10" halfExtents="32,13,17" info="body, Bbridge"/>
-	    <BoxCollisionShape position="38,67,-45" roll="50" halfExtents="16,23,25" info="body, BbridgeR"/>
-	    <BoxCollisionShape position="35,63,-17" pitch="25" yaw="-20" roll="40" halfExtents="16,23,16" info="body, BbridgeR"/>
-	    <BoxCollisionShape position="-38,67,-45" roll="-50" halfExtents="16,23,25" info="body, BbridgeL"/>
-	    <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
-
-	    <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CFL"/>
-	    <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, CL"/>
-	    <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CBTopL"/>
-	    <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CBBottomL"/>
-	    <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CFL"/>
-	    <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, CL"/>
-	    <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CBTopL"/>
-	    <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CBBottomL"/>
-	    <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CFTop"/>
-	    <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CFTop"/>
-	    <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, CTop"/>
-	    <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CBTop"/>
-
-	    <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BFTop"/>
-	    <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BFTop"/>
-	    <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BFTop"/>
-        <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BFTop"/>
-        <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BFTop"/>
-        <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BFTopR"/>
-	    <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BFTopR"/>
-	    <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BFTopL"/>
-	    <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BFTopL"/>
-        
+        <BoxCollisionShape position="0,6,-307" halfExtents="19,3,43" info="body, frontbottom"/>
+        <BoxCollisionShape position="0,5,-196" halfExtents="27,3,24" info="body, dock"/>
+        <BoxCollisionShape position="0,7,-248" pitch="25" halfExtents="63,4,12" info="body, dockF"/>
+        <BoxCollisionShape position="70,6,-120" roll="20" halfExtents="12,6,120" info="body, dockR"/>
+        <BoxCollisionShape position="63,-2,-180" halfExtents="3,3,60" info="body, dockR"/>
+        <BoxCollisionShape position="-70,6,-120" roll="-20" halfExtents="12,6,120" info="body, dockL"/>
+        <BoxCollisionShape position="-63,-2,-180" halfExtents="3,3,60" info="body, dockL"/>
+        <BoxCollisionShape position="87,32,-63" halfExtents="4,23,50" info="body, frontCR"/>
+        <BoxCollisionShape position="-87,32,-63" halfExtents="4,23,50" info="body, frontCL"/>
+
+        <BoxCollisionShape position="0,72,-213" halfExtents="37,8,60" info="body, Fbridge"/>
+        <BoxCollisionShape position="0,72,-110" halfExtents="53,11,53" info="body, Cbridge"/>
+        <BoxCollisionShape position="0,86,-110" halfExtents="40,4,40" info="body, Cbridge"/>
+        <BoxCollisionShape position="0,70,-60" halfExtents="65,11,30" info="body, Bbridge"/>
+        <BoxCollisionShape position="0,84,-45" halfExtents="33,11,26" info="body, Bbridge"/>
+        <BoxCollisionShape position="0,79,-6" pitch="10" halfExtents="32,13,17" info="body, Bbridge"/>
+        <BoxCollisionShape position="38,67,-45" roll="50" halfExtents="16,23,25" info="body, BbridgeR"/>
+        <BoxCollisionShape position="35,63,-17" pitch="25" yaw="-20" roll="40" halfExtents="16,23,16" info="body, BbridgeR"/>
+        <BoxCollisionShape position="-38,67,-45" roll="-50" halfExtents="16,23,25" info="body, BbridgeL"/>
+        <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
+
+        <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/> 
+        <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CF, L"/>
+        <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, C, L"/>
+        <BoxCollisionShape position="-91,46,86" halfExtents="11,6,20" info="body, C, L upper beam"/>
+        <BoxCollisionShape position="-64,8,79" roll="10" halfExtents="8,3,8" info="body, C, L lower beam"/>
+        <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CB, TopL"/>
+        <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CB, BottomL"/>
+        <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CF, R"/>
+        <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, C, R"/>
+        <BoxCollisionShape position="91,46,86" halfExtents="11,6,20" info="body, C, R upper beam"/>
+        <BoxCollisionShape position="64,8,79" roll="-10" halfExtents="8,3,8" info="body, C, R lower beam"/> 
+        <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CB, TopR"/>
+        <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CB, BottomR"/>
+        <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CF, Top"/>
+        <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CF, Top"/>
+        <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, C, Top"/>
+        <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CB, Top"/>
+
+        <BoxCollisionShape position="0,-7,90" halfExtents="40,4,90" info="body, bay3, Twall"/>
+        <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
+        <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
+        <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
+        <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
+        <BoxCollisionShape position="0,-20,227" halfExtents="60,20,65" info="body, bay3, Bwall"/>
+
+        <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BF, Top"/>
+        <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BF, TopR"/>
+        <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BF, TopR"/>
+        <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BF, TopL"/>
+        <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BF, TopL"/>
+
+        <BoxCollisionShape position="77,40,244" roll="16" halfExtents="7,20,79" info="body, BF, R"/>
+        <BoxCollisionShape position="95,9,234" roll="2" halfExtents="18,16,59" info="body, BF, R"/>
+        <BoxCollisionShape position="74,1,255" roll="-20" halfExtents="18,19,82" info="body, BF, BottomR"/>
+        <BoxCollisionShape position="66,-21,255" roll="9" halfExtents="17,5,82" info="body, BF, BottomR"/>
+        <BoxCollisionShape position="-77,40,244" roll="-16" halfExtents="7,20,79" info="body, BF, L"/>
+        <BoxCollisionShape position="-95,9,234" roll="-2" halfExtents="18,16,59" info="body, BF, L"/>
+        <BoxCollisionShape position="-74,1,255" roll="20" halfExtents="18,19,82" info="body, BF, BottomL"/>
+        <BoxCollisionShape position="-66,-21,255" roll="-9" halfExtents="17,5,82" info="body, BF, BottomL"/>
+
         <BoxCollisionShape position="0,106,381" halfExtents="36,5,71" info="body, BTop"/>
         <BoxCollisionShape position="0,93,299" pitch="-49" halfExtents="34,5,20" info="body, BTop"/>
@@ -164,27 +247,46 @@
         <BoxCollisionShape position="-41,101,381" roll="42" halfExtents="10,4,71" info="body, BTopL"/>
 
+        <BoxCollisionShape position="78,45,332" pitch="-10" roll="-10" yaw="20" halfExtents="10,20,30" info="body, back, R"/>
+        <BoxCollisionShape position="68,77,332" pitch="-10" roll="35" yaw="20" halfExtents="10,20,30" info="body, back, TR"/>
+        <BoxCollisionShape position="50,70,290" pitch="-10" roll="35" yaw="43" halfExtents="5,20,20" info="body, back, TR"/>
+        <BoxCollisionShape position="37,95,307" pitch="-10" roll="30" yaw="43" halfExtents="5,8,8" info="body, back, TR"/>
+        <BoxCollisionShape position="52,92,332" pitch="-10" yaw="30" halfExtents="10,5,30" info="body, back, TR"/>
+        <BoxCollisionShape position="88,4,322" halfExtents="10,24,30" info="body, back, RB"/>
+        <BoxCollisionShape position="54,-24,314" roll="35" pitch="-10" halfExtents="8,5,23" info="body, back, RB"/>
+        <BoxCollisionShape position="68,-19,346" pitch="-17" roll="8" halfExtents="16,4,11" info="body, back, bottomR"/>
+        <BoxCollisionShape position="-78,45,332" pitch="-10" roll="10" yaw="-20" halfExtents="10,20,30" info="body, back, L"/>
+        <BoxCollisionShape position="-68,77,332" pitch="-10" roll="-35" yaw="-20" halfExtents="10,20,30" info="body, back, TL"/>
+        <BoxCollisionShape position="-50,70,290" pitch="-10" roll="-35" yaw="-43" halfExtents="5,20,20" info="body, back, TL"/>
+        <BoxCollisionShape position="-37,95,307" pitch="-10" roll="-30" yaw="-43" halfExtents="5,8,8" info="body, back, TL"/>
+        <BoxCollisionShape position="-52,92,332" pitch="-10" yaw="-30" halfExtents="10,5,30" info="body, back, TL"/>
+        <BoxCollisionShape position="-88,4,322" halfExtents="10,24,30" info="body, back, LB"/>
+        <BoxCollisionShape position="-54,-24,314" roll="-35" pitch="-10" halfExtents="8,5,23" info="body, back, LB"/>
+        <BoxCollisionShape position="-68,-19,346" pitch="-17" roll="-8" halfExtents="16,4,11" info="body, back, bottomL"/>
+        <BoxCollisionShape position="0,-30,314" pitch="-8" halfExtents="52,4,23" info="body, back, bottom"/>
+        <BoxCollisionShape position="0,-22,346" pitch="-24" halfExtents="52,4,11" info="body, back, bottom"/>
+
         <BoxCollisionShape position="48,-29,400" halfExtents="5,8,58" info="body, BBottomRBeam"/>
-	    <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
-	    <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
-	    <BoxCollisionShape position="-48,-29,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
-
-	    <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
-        <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
-        <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
-        <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
-        <BoxCollisionShape position="0,-20,240" halfExtents="60,20,78" info="body, bay3, Bwall"/>
-        
-        <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>
-        <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, bay2, Lextrusion"/>             
-        
-        <BoxCollisionShape position="76,27,440" roll="-19" halfExtents="18,38,85" info="body, bay2, Rwall"/>
+        <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
+        <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
+        <BoxCollisionShape position="-48,-31,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
+
+        <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, back, Rextrusion"/>
+        <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, back, Lextrusion"/>
+        <BoxCollisionShape position="-85,7,417" halfExtents="10,21,67" info="body, back, LB"/>
+        <BoxCollisionShape position="85,7,417" halfExtents="10,21,67" info="body, back, RB"/>
+        <BoxCollisionShape position="0,-8,473" halfExtents="90,6,10" info="body, back, Bback"/>
+        <BoxCollisionShape position="0,-13,474" pitch="-23" halfExtents="76,5,8" info="body, back, Bback"/>
+        <BoxCollisionShape position="-79,-13,405" roll="-12" halfExtents="15,5,73" info="body, back, BL"/>
+        <BoxCollisionShape position="79,-13,405" roll="12" halfExtents="15,5,73" info="body, back, BR"/>
+        <BoxCollisionShape position="0,-15,410" halfExtents="66,6,58" info="body, back, B"/>
+
+        <BoxCollisionShape position="78,32,440" roll="-18" halfExtents="18,35,85" info="body, bay2, Rwall"/>
         <BoxCollisionShape position="75,71,440" roll="35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-        <BoxCollisionShape position="-76,27,440" roll="19" halfExtents="18,38,85" info="body, bay2, Lwall"/>
-        <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-        <BoxCollisionShape position="0,75,465" halfExtents="72,28,60" info="body, bay2, Twall"/>
+        <BoxCollisionShape position="-78,32,440" roll="18" halfExtents="18,35,85" info="body, bay2, Lwall"/>
+        <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Lwall"/>             
+        <BoxCollisionShape position="0,75,435" halfExtents="72,28,90" info="body, bay2, Twall"/>
         <BoxCollisionShape position="0,35,423" halfExtents="85,35,5" info="body, bay2, Fwall"/> 
-        <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, BottomWall"/>
-        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>  
-	    <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/>           
+        <BoxCollisionShape position="0,-3,465" halfExtents="84,5,60" info="body, bay2, BottomWall"/>
+        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>
     </collisionShapes>
 <?lua
Index: /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw
===================================================================
--- /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw	(revision 9793)
+++ /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw	(revision 9794)
@@ -26,14 +26,4 @@
   </templates>
   <?lua include("includes/notifications.oxi") ?>
-  <lodinformation> <!-- Set LOD to stay higher even on greater distances, since ship is large-->
-<!--     <MeshLodInformation mesh=HeavyCruiser_frontR.mesh enabled=true lodQuality=0.6/>
-    <MeshLodInformation mesh=HeavyCruiser_frontL.mesh enabled=true lodQuality=0.6/>
-    <MeshLodInformation mesh=HeavyCruiser_partR.mesh enabled=true lodQuality=0.6/>
-    <MeshLodInformation mesh=HeavyCruiser_partL.mesh enabled=true lodQuality=0.6/>
-    <MeshLodInformation mesh=HeavyCruiser_sidearmFrontL.mesh enabled=false/>
-    <MeshLodInformation mesh=HeavyCruiser_sidearmFrontR.mesh enabled=false/> -->
-    
-    <MeshLodInformation mesh=cube.mesh enabled=false/>
-  </lodinformation>
 
   <Scene
@@ -42,5 +32,5 @@
   >
 
-    <StaticEntity position="0,-500,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
+    <StaticEntity position="1000,250,-100" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
     <attached> 
             <Model mesh="HeavyCruiser_body.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
@@ -74,16 +64,72 @@
     <collisionShapes> 
         <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
-        <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
+        <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>
+
 
         <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
-        <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/> 
+        <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>
+
 
         <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>
         <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>
 
+
         <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>
         <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/>
 
-        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>
+
+        <BoxCollisionShape position="109,47,87" halfExtents="29,8,26" info="sidearmR, upper connection"/>
+        <BoxCollisionShape position="99,-1,79" roll="-15" halfExtents="40,4,9" info="sidearmR, lower connection"/>
+        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR, front"/>
+        <BoxCollisionShape position="140,12,261" roll="-15" halfExtents="22,41,43" info="sidearmR, back"/>
+        <BoxCollisionShape position="145,25,5" roll="-15" halfExtents="10,18,5" info="sidearmR, front break"/>
+        <BoxCollisionShape position="133,-13,29" roll="-15" halfExtents="12,6,17" info="sidearmR, bottom cylinder"/>
+        <BoxCollisionShape position="165,-4,31" roll="-15" halfExtents="7,21,13" info="sidearmR, box"/>
+        <BoxCollisionShape position="153,59,96" roll="-15" halfExtents="6,7,60" info="sidearmR, upper beam"/>
+        <BoxCollisionShape position="143,57,119" roll="-15" halfExtents="3,4,85" info="sidearmR, upper inner beam"/>
+        <BoxCollisionShape position="142,53,212" pitch="21" yaw="-5" roll="-15" halfExtents="3,4,10" info="sidearmR, upper inner beam"/>
+        <BoxCollisionShape position="160,52,119" roll="-15" halfExtents="3,4,85" info="sidearmR, upper outer beam"/>
+        <BoxCollisionShape position="159,48,212" pitch="21" yaw="-5" roll="-15" halfExtents="3,4,10" info="sidearmR, upper outer beam"/>
+        <BoxCollisionShape position="152,54,34" pitch="-46" yaw="14" roll="-15" halfExtents="6,7,10" info="sidearmR, upper beam front"/>
+        <BoxCollisionShape position="152,54,162" pitch="30" yaw="-9" roll="-15" halfExtents="6,7,12" info="sidearmR, upper beam back"/>
+        <BoxCollisionShape position="168,21,119" roll="-15" halfExtents="3,5,109" info="sidearmR, outer beam"/>
+        <BoxCollisionShape position="134,-10,169" roll="-15" halfExtents="6,4,55" info="sidearmR, lower beam front"/>
+        <BoxCollisionShape position="131,-20,217" pitch="-20" roll="-15" yaw="5" halfExtents="6,12,3" info="sidearmR, lower beam middle"/>
+        <BoxCollisionShape position="130,-29,233" roll="-15" halfExtents="6,3,15" info="sidearmR, lower beam back"/>
+
+
+        <BoxCollisionShape position="141,15,-51" roll="-15" halfExtents="27,44,64" info="sidearmRfront"/>
+        <BoxCollisionShape position="153,59,-30" roll="-15" halfExtents="4,2,38" info="sidearmRfront, top"/>
+        <BoxCollisionShape position="153,61,-41" roll="-15" halfExtents="4,4,11" info="sidearmRfront, top"/>
+        <BoxCollisionShape position="153,60,-65" roll="-15" halfExtents="4,3,4" info="sidearmRfront, top"/>
+        <BoxCollisionShape position="153,59,-41" roll="-15" halfExtents="8,2,11" info="sidearmRfront, top"/>
+
+
+        <BoxCollisionShape position="-109,47,87" halfExtents="29,8,26" info="sidearmL, upper connection"/>
+        <BoxCollisionShape position="-99,-1,79" roll="15" halfExtents="40,4,9" info="sidearmL, lower connection"/>
+        <BoxCollisionShape position="-145,21,115" roll="15" halfExtents="19,31,105" info="sidearmL, front"/>
+        <BoxCollisionShape position="-140,12,261" roll="15" halfExtents="22,41,43" info="sidearmL, back"/>
+        <BoxCollisionShape position="-145,25,5" roll="15" halfExtents="10,18,5" info="sidearmL, front break"/>
+        <BoxCollisionShape position="-133,-13,29" roll="15" halfExtents="12,6,17" info="sidearmL, bottom cylinder"/>
+        <BoxCollisionShape position="-165,-4,31" roll="15" halfExtents="7,21,13" info="sidearmL, box"/>
+        <BoxCollisionShape position="-153,59,96" roll="15" halfExtents="6,7,60" info="sidearmL, upper beam"/>
+        <BoxCollisionShape position="-143,57,119" roll="15" halfExtents="3,4,85" info="sidearmL, upper inner beam"/>
+        <BoxCollisionShape position="-142,53,212" pitch="21" yaw="5" roll="15" halfExtents="3,4,10" info="sidearmL, upper inner beam"/>
+        <BoxCollisionShape position="-160,52,119" roll="15" halfExtents="3,4,85" info="sidearmL, upper outer beam"/>
+        <BoxCollisionShape position="-159,48,212" pitch="21" yaw="5" roll="15" halfExtents="3,4,10" info="sidearmL, upper outer beam"/>
+        <BoxCollisionShape position="-152,54,34" pitch="-46" yaw="-14" roll="15" halfExtents="6,7,10" info="sidearmL, upper beam front"/>
+        <BoxCollisionShape position="-152,54,162" pitch="30" yaw="9" roll="15" halfExtents="6,7,12" info="sidearmL, upper beam back"/>
+        <BoxCollisionShape position="-168,21,119" roll="15" halfExtents="3,5,109" info="sidearmL, outer beam"/>
+        <BoxCollisionShape position="-134,-10,169" roll="15" halfExtents="6,4,55" info="sidearmL, lower beam front"/>
+        <BoxCollisionShape position="-131,-20,217" pitch="-20" roll="15" yaw="-5" halfExtents="6,12,3" info="sidearmL, lower beam middle"/>
+        <BoxCollisionShape position="-130,-29,233" roll="15" halfExtents="6,3,15" info="sidearmL, lower beam back"/>
+
+
+        <BoxCollisionShape position="-141,15,-51" roll="15" halfExtents="27,44,64" info="sidearmLfront"/>
+        <BoxCollisionShape position="-153,59,-30" roll="15" halfExtents="4,2,38" info="sidearmLfront, top"/>
+        <BoxCollisionShape position="-153,61,-41" roll="15" halfExtents="4,4,11" info="sidearmLfront, top"/>
+        <BoxCollisionShape position="-153,60,-65" roll="15" halfExtents="4,3,4" info="sidearmLfront, top"/>
+        <BoxCollisionShape position="-153,59,-41" roll="15" halfExtents="8,2,11" info="sidearmLfront, top"/>
+
 
         <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
@@ -115,27 +161,48 @@
         <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
 
-        <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CFL"/>
-        <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, CL"/>
-        <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CBTopL"/>
-        <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CBBottomL"/>
-        <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CFL"/>
-        <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, CL"/>
-        <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CBTopL"/>
-        <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CBBottomL"/>
-        <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CFTop"/>
-        <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CFTop"/>
-        <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, CTop"/>
-        <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CBTop"/>
-
-        <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BFTop"/>
-        <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BFTop"/>
-        <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BFTop"/>
-        <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BFTop"/>
-        <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BFTop"/>
-        <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BFTopR"/>
-        <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BFTopR"/>
-        <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BFTopL"/>
-        <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BFTopL"/>
-        
+        <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/> 
+        <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CF, L"/>
+        <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, C, L"/>
+        <BoxCollisionShape position="-91,46,86" halfExtents="11,6,20" info="body, C, L upper beam"/>
+        <BoxCollisionShape position="-64,8,79" roll="10" halfExtents="8,3,8" info="body, C, L lower beam"/>
+        <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CB, TopL"/>
+        <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CB, BottomL"/>
+        <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CF, R"/>
+        <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, C, R"/>
+        <BoxCollisionShape position="91,46,86" halfExtents="11,6,20" info="body, C, R upper beam"/>
+        <BoxCollisionShape position="64,8,79" roll="-10" halfExtents="8,3,8" info="body, C, R lower beam"/> 
+        <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CB, TopR"/>
+        <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CB, BottomR"/>
+        <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CF, Top"/>
+        <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CF, Top"/>
+        <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, C, Top"/>
+        <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CB, Top"/>
+
+        <BoxCollisionShape position="0,-7,90" halfExtents="40,4,90" info="body, bay3, Twall"/>
+        <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
+        <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
+        <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
+        <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
+        <BoxCollisionShape position="0,-20,227" halfExtents="60,20,65" info="body, bay3, Bwall"/>
+
+        <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BF, Top"/>
+        <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BF, Top"/>
+        <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BF, TopR"/>
+        <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BF, TopR"/>
+        <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BF, TopL"/>
+        <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BF, TopL"/>
+
+        <BoxCollisionShape position="77,40,244" roll="16" halfExtents="7,20,79" info="body, BF, R"/>
+        <BoxCollisionShape position="95,9,234" roll="2" halfExtents="18,16,59" info="body, BF, R"/>
+        <BoxCollisionShape position="74,1,255" roll="-20" halfExtents="18,19,82" info="body, BF, BottomR"/>
+        <BoxCollisionShape position="66,-21,255" roll="9" halfExtents="17,5,82" info="body, BF, BottomR"/>
+        <BoxCollisionShape position="-77,40,244" roll="-16" halfExtents="7,20,79" info="body, BF, L"/>
+        <BoxCollisionShape position="-95,9,234" roll="-2" halfExtents="18,16,59" info="body, BF, L"/>
+        <BoxCollisionShape position="-74,1,255" roll="20" halfExtents="18,19,82" info="body, BF, BottomL"/>
+        <BoxCollisionShape position="-66,-21,255" roll="-9" halfExtents="17,5,82" info="body, BF, BottomL"/>
+
         <BoxCollisionShape position="0,106,381" halfExtents="36,5,71" info="body, BTop"/>
         <BoxCollisionShape position="0,93,299" pitch="-49" halfExtents="34,5,20" info="body, BTop"/>
@@ -143,47 +210,122 @@
         <BoxCollisionShape position="-41,101,381" roll="42" halfExtents="10,4,71" info="body, BTopL"/>
 
+        <BoxCollisionShape position="78,45,332" pitch="-10" roll="-10" yaw="20" halfExtents="10,20,30" info="body, back, R"/>
+        <BoxCollisionShape position="68,77,332" pitch="-10" roll="35" yaw="20" halfExtents="10,20,30" info="body, back, TR"/>
+        <BoxCollisionShape position="50,70,290" pitch="-10" roll="35" yaw="43" halfExtents="5,20,20" info="body, back, TR"/>
+        <BoxCollisionShape position="37,95,307" pitch="-10" roll="30" yaw="43" halfExtents="5,8,8" info="body, back, TR"/>
+        <BoxCollisionShape position="52,92,332" pitch="-10" yaw="30" halfExtents="10,5,30" info="body, back, TR"/>
+        <BoxCollisionShape position="88,4,322" halfExtents="10,24,30" info="body, back, RB"/>
+        <BoxCollisionShape position="54,-24,314" roll="35" pitch="-10" halfExtents="8,5,23" info="body, back, RB"/>
+        <BoxCollisionShape position="68,-19,346" pitch="-17" roll="8" halfExtents="16,4,11" info="body, back, bottomR"/>
+        <BoxCollisionShape position="-78,45,332" pitch="-10" roll="10" yaw="-20" halfExtents="10,20,30" info="body, back, L"/>
+        <BoxCollisionShape position="-68,77,332" pitch="-10" roll="-35" yaw="-20" halfExtents="10,20,30" info="body, back, TL"/>
+        <BoxCollisionShape position="-50,70,290" pitch="-10" roll="-35" yaw="-43" halfExtents="5,20,20" info="body, back, TL"/>
+        <BoxCollisionShape position="-37,95,307" pitch="-10" roll="-30" yaw="-43" halfExtents="5,8,8" info="body, back, TL"/>
+        <BoxCollisionShape position="-52,92,332" pitch="-10" yaw="-30" halfExtents="10,5,30" info="body, back, TL"/>
+        <BoxCollisionShape position="-88,4,322" halfExtents="10,24,30" info="body, back, LB"/>
+        <BoxCollisionShape position="-54,-24,314" roll="-35" pitch="-10" halfExtents="8,5,23" info="body, back, LB"/>
+        <BoxCollisionShape position="-68,-19,346" pitch="-17" roll="-8" halfExtents="16,4,11" info="body, back, bottomL"/>
+        <BoxCollisionShape position="0,-30,314" pitch="-8" halfExtents="52,4,23" info="body, back, bottom"/>
+        <BoxCollisionShape position="0,-22,346" pitch="-24" halfExtents="52,4,11" info="body, back, bottom"/>
+
         <BoxCollisionShape position="48,-29,400" halfExtents="5,8,58" info="body, BBottomRBeam"/>
         <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
         <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
-        <BoxCollisionShape position="-48,-29,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
-
-        <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
-        <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
-        <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
-        <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
-        <BoxCollisionShape position="0,-20,240" halfExtents="60,20,78" info="body, bay3, Bwall"/>
-        
-        <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>
-        <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, bay2, Lextrusion"/>             
-        
-        <BoxCollisionShape position="76,27,440" roll="-19" halfExtents="18,38,85" info="body, bay2, Rwall"/>
+        <BoxCollisionShape position="-48,-31,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
+
+        <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, back, Rextrusion"/>
+        <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, back, Lextrusion"/>
+        <BoxCollisionShape position="-85,7,417" halfExtents="10,21,67" info="body, back, LB"/>
+        <BoxCollisionShape position="85,7,417" halfExtents="10,21,67" info="body, back, RB"/>
+        <BoxCollisionShape position="0,-8,473" halfExtents="90,6,10" info="body, back, Bback"/>
+        <BoxCollisionShape position="0,-13,474" pitch="-23" halfExtents="76,5,8" info="body, back, Bback"/>
+        <BoxCollisionShape position="-79,-13,405" roll="-12" halfExtents="15,5,73" info="body, back, BL"/>
+        <BoxCollisionShape position="79,-13,405" roll="12" halfExtents="15,5,73" info="body, back, BR"/>
+        <BoxCollisionShape position="0,-15,410" halfExtents="66,6,58" info="body, back, B"/>
+
+        <BoxCollisionShape position="78,32,440" roll="-18" halfExtents="18,35,85" info="body, bay2, Rwall"/>
         <BoxCollisionShape position="75,71,440" roll="35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-        <BoxCollisionShape position="-76,27,440" roll="19" halfExtents="18,38,85" info="body, bay2, Lwall"/>
-        <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-        <BoxCollisionShape position="0,75,465" halfExtents="72,28,60" info="body, bay2, Twall"/>
+        <BoxCollisionShape position="-78,32,440" roll="18" halfExtents="18,35,85" info="body, bay2, Lwall"/>
+        <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Lwall"/>             
+        <BoxCollisionShape position="0,75,435" halfExtents="72,28,90" info="body, bay2, Twall"/>
         <BoxCollisionShape position="0,35,423" halfExtents="85,35,5" info="body, bay2, Fwall"/> 
-        <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, BottomWall"/>
-        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>  
-        <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/>  
+        <BoxCollisionShape position="0,-3,465" halfExtents="84,5,60" info="body, bay2, BottomWall"/>
+        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>
     </collisionShapes> 
     </StaticEntity>
 
                                         <!-- Width/Height/Lenght-->  <!-- B=back F=front C=center-->
-    <StaticEntity position="0,-500,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
+    <StaticEntity position="1000,-250,-100" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
     <attached> 
-        <!-- <Model position="79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontR"/>
+        <Model position="79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontR"/>
         <Model position="79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontR"/>
+
 
         <Model position="-79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontL"/>
         <Model position="-79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontL"/>
 
+
         <Model position="93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partR"/>
         <Model position="93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partR"/>
 
+
         <Model position="-93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partL"/>
         <Model position="-93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partL"/>
 
-        <Model position="145,21,115" roll="-15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmR"/>
-        
+
+        <Model position="109,47,87" mesh="cube.mesh" scale3D="29,8,26" info="sidearmR, upper connection"/>
+        <Model position="99,-1,79" roll="-15" mesh="cube.mesh" scale3D="40,4,9" info="sidearmR, lower connection"/>
+        <Model position="145,21,115" roll="-15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmR, front"/>
+        <Model position="140,12,261" roll="-15" mesh="cube.mesh" scale3D="22,41,43" info="sidearmR, back"/>
+        <Model position="145,25,5" roll="-15" mesh="cube.mesh" scale3D="10,18,5" info="sidearmR, front break"/>
+        <Model position="133,-13,29" roll="-15" mesh="cube.mesh" scale3D="12,6,17" info="sidearmR, bottom cylinder"/>
+        <Model position="165,-4,31" roll="-15" mesh="cube.mesh" scale3D="7,21,13" info="sidearmR, box"/>
+        <Model position="153,59,96" roll="-15" mesh="cube.mesh" scale3D="6,7,60" info="sidearmR, upper beam"/>
+        <Model position="143,57,119" roll="-15" mesh="cube.mesh" scale3D="3,4,85" info="sidearmR, upper inner beam"/>
+        <Model position="142,53,212" pitch="21" yaw="-5" roll="-15" mesh="cube.mesh" scale3D="3,4,10" info="sidearmR, upper inner beam"/>
+        <Model position="160,52,119" roll="-15" mesh="cube.mesh" scale3D="3,4,85" info="sidearmR, upper outer beam"/>
+        <Model position="159,48,212" pitch="21" yaw="-5" roll="-15" mesh="cube.mesh" scale3D="3,4,10" info="sidearmR, upper outer beam"/>
+        <Model position="152,54,34" pitch="-46" yaw="14" roll="-15" mesh="cube.mesh" scale3D="6,7,10" info="sidearmR, upper beam front"/>
+        <Model position="152,54,162" pitch="30" yaw="-9" roll="-15" mesh="cube.mesh" scale3D="6,7,12" info="sidearmR, upper beam back"/>
+        <Model position="168,21,119" roll="-15" mesh="cube.mesh" scale3D="3,5,109" info="sidearmR, outer beam"/>
+        <Model position="134,-10,169" roll="-15" mesh="cube.mesh" scale3D="6,4,55" info="sidearmR, lower beam front"/>
+        <Model position="131,-20,217" pitch="-20" roll="-15" yaw="5" mesh="cube.mesh" scale3D="6,12,3" info="sidearmR, lower beam middle"/>
+        <Model position="130,-29,233" roll="-15" mesh="cube.mesh" scale3D="6,3,15" info="sidearmR, lower beam back"/>
+
+
+        <Model position="141,15,-51" roll="-15" mesh="cube.mesh" scale3D="27,44,64" info="sidearmRfront"/>
+        <Model position="153,59,-30" roll="-15" mesh="cube.mesh" scale3D="4,2,38" info="sidearmRfront, top"/>
+        <Model position="153,61,-41" roll="-15" mesh="cube.mesh" scale3D="4,4,11" info="sidearmRfront, top"/>
+        <Model position="153,60,-65" roll="-15" mesh="cube.mesh" scale3D="4,3,4" info="sidearmRfront, top"/>
+        <Model position="153,59,-41" roll="-15" mesh="cube.mesh" scale3D="8,2,11" info="sidearmRfront, top"/>
+
+
+        <Model position="-109,47,87" mesh="cube.mesh" scale3D="29,8,26" info="sidearmL, upper connection"/>
+        <Model position="-99,-1,79" roll="15" mesh="cube.mesh" scale3D="40,4,9" info="sidearmL, lower connection"/>
+        <Model position="-145,21,115" roll="15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmL, front"/>
+        <Model position="-140,12,261" roll="15" mesh="cube.mesh" scale3D="22,41,43" info="sidearmL, back"/>
+        <Model position="-145,25,5" roll="15" mesh="cube.mesh" scale3D="10,18,5" info="sidearmL, front break"/>
+        <Model position="-133,-13,29" roll="15" mesh="cube.mesh" scale3D="12,6,17" info="sidearmL, bottom cylinder"/>
+        <Model position="-165,-4,31" roll="15" mesh="cube.mesh" scale3D="7,21,13" info="sidearmL, box"/>
+        <Model position="-153,59,96" roll="15" mesh="cube.mesh" scale3D="6,7,60" info="sidearmL, upper beam"/>
+        <Model position="-143,57,119" roll="15" mesh="cube.mesh" scale3D="3,4,85" info="sidearmL, upper inner beam"/>
+        <Model position="-142,53,212" pitch="21" yaw="5" roll="15" mesh="cube.mesh" scale3D="3,4,10" info="sidearmL, upper inner beam"/>
+        <Model position="-160,52,119" roll="15" mesh="cube.mesh" scale3D="3,4,85" info="sidearmL, upper outer beam"/>
+        <Model position="-159,48,212" pitch="21" yaw="5" roll="15" mesh="cube.mesh" scale3D="3,4,10" info="sidearmL, upper outer beam"/>
+        <Model position="-152,54,34" pitch="-46" yaw="-14" roll="15" mesh="cube.mesh" scale3D="6,7,10" info="sidearmL, upper beam front"/>
+        <Model position="-152,54,162" pitch="30" yaw="9" roll="15" mesh="cube.mesh" scale3D="6,7,12" info="sidearmL, upper beam back"/>
+        <Model position="-168,21,119" roll="15" mesh="cube.mesh" scale3D="3,5,109" info="sidearmL, outer beam"/>
+        <Model position="-134,-10,169" roll="15" mesh="cube.mesh" scale3D="6,4,55" info="sidearmL, lower beam front"/>
+        <Model position="-131,-20,217" pitch="-20" roll="15" yaw="-5" mesh="cube.mesh" scale3D="6,12,3" info="sidearmL, lower beam middle"/>
+        <Model position="-130,-29,233" roll="15" mesh="cube.mesh" scale3D="6,3,15" info="sidearmL, lower beam back"/>
+
+
+        <Model position="-141,15,-51" roll="15" mesh="cube.mesh" scale3D="27,44,64" info="sidearmLfront"/>
+        <Model position="-153,59,-30" roll="15" mesh="cube.mesh" scale3D="4,2,38" info="sidearmLfront, top"/>
+        <Model position="-153,61,-41" roll="15" mesh="cube.mesh" scale3D="4,4,11" info="sidearmLfront, top"/>
+        <Model position="-153,60,-65" roll="15" mesh="cube.mesh" scale3D="4,3,4" info="sidearmLfront, top"/>
+        <Model position="-153,59,-41" roll="15" mesh="cube.mesh" scale3D="8,2,11" info="sidearmLfront, top"/>
+
+
         <Model position="60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Rwall"/> 
         <Model position="-60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Lwall"/> 
@@ -214,27 +356,48 @@
         <Model position="-35,63,-17" pitch="25" yaw="20" roll="-40" mesh="cube.mesh" scale3D="16,23,16" info="body, BbridgeL"/>
 
-        <Model position="-67,18,58" roll="-22" mesh="cube.mesh" scale3D="13,5,53" info="body, CFL"/>
-        <Model position="-76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, CL"/>
-        <Model position="-71,55,140" pitch="-4" roll="31" mesh="cube.mesh" scale3D="9,5,27" info="body, CBTopL"/>
-        <Model position="-62,2,140" roll="24" mesh="cube.mesh" scale3D="10,24,32" info="body, CBBottomL"/>
-        <Model position="67,18,58" roll="22" mesh="cube.mesh" scale3D="13,5,53" info="body, CFL"/>
-        <Model position="76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, CL"/>
-        <Model position="71,55,140" pitch="-4" roll="-31" mesh="cube.mesh" scale3D="9,5,27" info="body, CBTopL"/>
-        <Model position="62,2,140" roll="-24" mesh="cube.mesh" scale3D="10,24,32" info="body, CBBottomL"/>
-        <Model position="0,60,12" mesh="cube.mesh" scale3D="81,5,11" info="body, CFTop"/>
-        <Model position="0,55,40" pitch="15" mesh="cube.mesh" scale3D="81,5,20" info="body, CFTop"/>
-        <Model position="0,50,85" pitch="1" mesh="cube.mesh" scale3D="81,5,29" info="body, CTop"/>
-        <Model position="0,59,140" pitch="-4" mesh="cube.mesh" scale3D="68,5,27" info="body, CBTop"/>
-
-        <Model position="0,81,238" mesh="cube.mesh" scale3D="26,5,59" info="body, BFTop"/>
-        <Model position="0,67,234" mesh="cube.mesh" scale3D="54,5,67" info="body, BFTop"/>
-        <Model position="0,77,175" pitch="-36" mesh="cube.mesh" scale3D="26,5,9" info="body, BFTop"/>
-        <Model position="0,62,161" pitch="-30" mesh="cube.mesh" scale3D="56,5,10" info="body, BFTop"/>
-        <Model position="0,69,162" mesh="cube.mesh" scale3D="16,7,10" info="body, BFTop"/>
-        <Model position="31,76,238" roll="-46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopR"/>
-        <Model position="64,64,234" roll="-24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopR"/>
-        <Model position="-31,76,238" roll="46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopL"/>
-        <Model position="-64,64,234" roll="24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopL"/>
-        
+        <Model position="0,69,80" mesh="cube.mesh" scale3D="8,4,80" info="body, Cbeam"/> 
+        <Model position="-67,18,58" roll="-22" mesh="cube.mesh" scale3D="13,5,53" info="body, CF, L"/>
+        <Model position="-76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, C, L"/>
+        <Model position="-91,46,86" mesh="cube.mesh" scale3D="11,6,20" info="body, C, L upper beam"/>
+        <Model position="-64,8,79" roll="10" mesh="cube.mesh" scale3D="8,3,8" info="body, C, L lower beam"/>
+        <Model position="-71,55,140" pitch="-4" roll="31" mesh="cube.mesh" scale3D="9,5,27" info="body, CB, TopL"/>
+        <Model position="-62,2,140" roll="24" mesh="cube.mesh" scale3D="10,24,32" info="body, CB, BottomL"/>
+        <Model position="67,18,58" roll="22" mesh="cube.mesh" scale3D="13,5,53" info="body, CF, R"/>
+        <Model position="76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, C, R"/>
+        <Model position="91,46,86" mesh="cube.mesh" scale3D="11,6,20" info="body, C, R upper beam"/>
+        <Model position="64,8,79" roll="-10" mesh="cube.mesh" scale3D="8,3,8" info="body, C, R lower beam"/> 
+        <Model position="71,55,140" pitch="-4" roll="-31" mesh="cube.mesh" scale3D="9,5,27" info="body, CB, TopR"/>
+        <Model position="62,2,140" roll="-24" mesh="cube.mesh" scale3D="10,24,32" info="body, CB, BottomR"/>
+        <Model position="0,60,12" mesh="cube.mesh" scale3D="81,5,11" info="body, CF, Top"/>
+        <Model position="0,55,40" pitch="15" mesh="cube.mesh" scale3D="81,5,20" info="body, CF, Top"/>
+        <Model position="0,50,85" pitch="1" mesh="cube.mesh" scale3D="81,5,29" info="body, C, Top"/>
+        <Model position="0,59,140" pitch="-4" mesh="cube.mesh" scale3D="68,5,27" info="body, CB, Top"/>
+
+        <Model position="0,-7,90" mesh="cube.mesh" scale3D="40,4,90" info="body, bay3, Twall"/>
+        <Model position="0,-15,-60" mesh="cube.mesh" scale3D="60,25,65" info="body, bay3, Fwall"/>
+        <Model position="47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Rwall"/>
+        <Model position="-47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Lwall"/>
+        <Model position="0,-29,149" mesh="cube.mesh" scale3D="10,2,11" info="body, bay3, platform"/>
+        <Model position="0,-20,227" mesh="cube.mesh" scale3D="60,20,65" info="body, bay3, Bwall"/>
+
+        <Model position="0,81,238" mesh="cube.mesh" scale3D="26,5,59" info="body, BF, Top"/>
+        <Model position="0,67,234" mesh="cube.mesh" scale3D="54,5,67" info="body, BF, Top"/>
+        <Model position="0,77,175" pitch="-36" mesh="cube.mesh" scale3D="26,5,9" info="body, BF, Top"/>
+        <Model position="0,62,161" pitch="-30" mesh="cube.mesh" scale3D="56,5,10" info="body, BF, Top"/>
+        <Model position="0,69,162" mesh="cube.mesh" scale3D="16,7,10" info="body, BF, Top"/>
+        <Model position="31,76,238" roll="-46" mesh="cube.mesh" scale3D="10,3,59" info="body, BF, TopR"/>
+        <Model position="64,64,234" roll="-24" mesh="cube.mesh" scale3D="13,3,67" info="body, BF, TopR"/>
+        <Model position="-31,76,238" roll="46" mesh="cube.mesh" scale3D="10,3,59" info="body, BF, TopL"/>
+        <Model position="-64,64,234" roll="24" mesh="cube.mesh" scale3D="13,3,67" info="body, BF, TopL"/>
+
+        <Model position="77,40,244" roll="16" mesh="cube.mesh" scale3D="7,20,79" info="body, BF, R"/>
+        <Model position="95,9,234" roll="2" mesh="cube.mesh" scale3D="18,16,59" info="body, BF, R"/>
+        <Model position="74,1,255" roll="-20" mesh="cube.mesh" scale3D="18,19,82" info="body, BF, BottomR"/>
+        <Model position="66,-21,255" roll="9" mesh="cube.mesh" scale3D="17,5,82" info="body, BF, BottomR"/>
+        <Model position="-77,40,244" roll="-16" mesh="cube.mesh" scale3D="7,20,79" info="body, BF, L"/>
+        <Model position="-95,9,234" roll="-2" mesh="cube.mesh" scale3D="18,16,59" info="body, BF, L"/>
+        <Model position="-74,1,255" roll="20" mesh="cube.mesh" scale3D="18,19,82" info="body, BF, BottomL"/>
+        <Model position="-66,-21,255" roll="-9" mesh="cube.mesh" scale3D="17,5,82" info="body, BF, BottomL"/>
+
         <Model position="0,106,381" mesh="cube.mesh" scale3D="36,5,71" info="body, BTop"/>
         <Model position="0,93,299" pitch="-49" mesh="cube.mesh" scale3D="34,5,20" info="body, BTop"/>
@@ -242,38 +405,57 @@
         <Model position="-41,101,381" roll="42" mesh="cube.mesh" scale3D="10,4,71" info="body, BTopL"/>
 
+        <Model position="78,45,332" pitch="-10" roll="-10" yaw="20" mesh="cube.mesh" scale3D="10,20,30" info="body, back, R"/>
+        <Model position="68,77,332" pitch="-10" roll="35" yaw="20" mesh="cube.mesh" scale3D="10,20,30" info="body, back, TR"/>
+        <Model position="50,70,290" pitch="-10" roll="35" yaw="43" mesh="cube.mesh" scale3D="5,20,20" info="body, back, TR"/>
+        <Model position="37,95,307" pitch="-10" roll="30" yaw="43" mesh="cube.mesh" scale3D="5,8,8" info="body, back, TR"/>
+        <Model position="52,92,332" pitch="-10" yaw="30" mesh="cube.mesh" scale3D="10,5,30" info="body, back, TR"/>
+        <Model position="88,4,322" mesh="cube.mesh" scale3D="10,24,30" info="body, back, RB"/>
+        <Model position="54,-24,314" roll="35" pitch="-10" mesh="cube.mesh" scale3D="8,5,23" info="body, back, RB"/>
+        <Model position="68,-19,346" pitch="-17" roll="8" mesh="cube.mesh" scale3D="16,4,11" info="body, back, bottomR"/>
+        <Model position="-78,45,332" pitch="-10" roll="10" yaw="-20" mesh="cube.mesh" scale3D="10,20,30" info="body, back, L"/>
+        <Model position="-68,77,332" pitch="-10" roll="-35" yaw="-20" mesh="cube.mesh" scale3D="10,20,30" info="body, back, TL"/>
+        <Model position="-50,70,290" pitch="-10" roll="-35" yaw="-43" mesh="cube.mesh" scale3D="5,20,20" info="body, back, TL"/>
+        <Model position="-37,95,307" pitch="-10" roll="-30" yaw="-43" mesh="cube.mesh" scale3D="5,8,8" info="body, back, TL"/>
+        <Model position="-52,92,332" pitch="-10" yaw="-30" mesh="cube.mesh" scale3D="10,5,30" info="body, back, TL"/>
+        <Model position="-88,4,322" mesh="cube.mesh" scale3D="10,24,30" info="body, back, LB"/>
+        <Model position="-54,-24,314" roll="-35" pitch="-10" mesh="cube.mesh" scale3D="8,5,23" info="body, back, LB"/>
+        <Model position="-68,-19,346" pitch="-17" roll="-8" mesh="cube.mesh" scale3D="16,4,11" info="body, back, bottomL"/>
+        <Model position="0,-30,314" pitch="-8" mesh="cube.mesh" scale3D="52,4,23" info="body, back, bottom"/>
+        <Model position="0,-22,346" pitch="-24" mesh="cube.mesh" scale3D="52,4,11" info="body, back, bottom"/>
+
         <Model position="48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomRBeam"/>
         <Model position="48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomRBeam"/>
         <Model position="-48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomLBeam"/>
-        <Model position="-48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomLBeam"/>
-
-        <Model position="0,-15,-60" mesh="cube.mesh" scale3D="60,25,65" info="body, bay3, Fwall"/>
-        <Model position="47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Rwall"/>
-        <Model position="-47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Lwall"/>
-        <Model position="0,-29,149" mesh="cube.mesh" scale3D="10,2,11" info="body, bay3, platform"/>
-        <Model position="0,-20,240" mesh="cube.mesh" scale3D="60,20,78" info="body, bay3, Bwall"/>
-        
-        <Model position="103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Rextrusion"/>
-        <Model position="-103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Lextrusion"/>
-        
-        <Model position="76,27,440" roll="-19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Rwall"/>
+        <Model position="-48,-31,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomLBeam"/>
+
+        <Model position="103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, back, Rextrusion"/>
+        <Model position="-103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, back, Lextrusion"/>
+        <Model position="-85,7,417" mesh="cube.mesh" scale3D="10,21,67" info="body, back, LB"/>
+        <Model position="85,7,417" mesh="cube.mesh" scale3D="10,21,67" info="body, back, RB"/>
+        <Model position="0,-8,473" mesh="cube.mesh" scale3D="90,6,10" info="body, back, Bback"/>
+        <Model position="0,-13,474" pitch="-23" mesh="cube.mesh" scale3D="76,5,8" info="body, back, Bback"/>
+        <Model position="-79,-13,405" roll="-12" mesh="cube.mesh" scale3D="15,5,73" info="body, back, BL"/>
+        <Model position="79,-13,405" roll="12" mesh="cube.mesh" scale3D="15,5,73" info="body, back, BR"/>
+        <Model position="0,-15,410" mesh="cube.mesh" scale3D="66,6,58" info="body, back, B"/>
+
+        <Model position="78,32,440" roll="-18" mesh="cube.mesh" scale3D="18,35,85" info="body, bay2, Rwall"/>
         <Model position="75,71,440" roll="35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Rwall"/>             
-        <Model position="-76,27,440" roll="19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Lwall"/>
-        <Model position="-75,71,440" roll="-35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Rwall"/>             
-        <Model position="0,75,465" mesh="cube.mesh" scale3D="72,28,60" info="body, bay2, Twall"/>
+        <Model position="-78,32,440" roll="18" mesh="cube.mesh" scale3D="18,35,85" info="body, bay2, Lwall"/>
+        <Model position="-75,71,440" roll="-35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Lwall"/>             
+        <Model position="0,75,435" mesh="cube.mesh" scale3D="72,28,90" info="body, bay2, Twall"/>
         <Model position="0,35,423" mesh="cube.mesh" scale3D="85,35,5" info="body, bay2, Fwall"/> 
-        <Model position="0,-5,465" mesh="cube.mesh" scale3D="85,6,60" info="body, bay2, BottomWall"/>
-        <Model position="0,78,526" mesh="cube.mesh" scale3D="43,17,5" info="body, bay2, Twall"/>  
-        <Model position="0,69,80" mesh="cube.mesh" scale3D="8,4,80" info="body, Cbeam"/>      -->
+        <Model position="0,-3,465" mesh="cube.mesh" scale3D="84,5,60" info="body, bay2, BottomWall"/>
+        <Model position="0,78,526" mesh="cube.mesh" scale3D="43,17,5" info="body, bay2, Twall"/>      
     </attached> 
     <collisionShapes> 
-        <BoxCollisionShape position="-50,30,0" halfExtents="10,10,10" /> 
+        <!-- <BoxCollisionShape position="-50,30,0" halfExtents="10,10,10" />  -->
     </collisionShapes> 
     </StaticEntity>     
   
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-<!--     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /> -->
-<!--     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />-->
-     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=HeavyCruiser /> 
-  </Scene>
+<!--         <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+ -->        <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+<!--         <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=HeavyCruiser />
+ -->  </Scene>
 </Level>
 
Index: /data/contentcreation/pps/noep/HeavyCruiser/INFO.txt
===================================================================
--- /data/contentcreation/pps/noep/HeavyCruiser/INFO.txt	(revision 9793)
+++ /data/contentcreation/pps/noep/HeavyCruiser/INFO.txt	(revision 9794)
@@ -1,5 +1,10 @@
-TODO:  
+==== Refer to the following links for further information ====
+http://www.orxonox.net/wiki/HeavyCruiser
+http://forum.orxonox.net/viewtopic.php?f=1&t=1104
+
+
+    ---=== TODO ===---
   
-- Create a new class for big ships and their sub-parts.
+- Allow Big Ships to have sub-parts.
   
 (- Adapt the HUD to show individual part's health.
@@ -7,5 +12,6 @@
 
 
-PROBLEMS:
+
+    ---=== PROBLEMS ===---
 
 - When firing weapons mounted at the front of the ship, the aim is incorrect,
@@ -16,17 +22,90 @@
   Fix:  Redesign Turret class. -> MovableEntity? ShipPart?
 
+- Only Pawns are able to receive hits. However Pawns require every object to have their own weapons, shields etc.
+  Fix:  Create an entirelly new class/interface(?), DestructibleEntity. It can be used for ShipParts, Asteroids, Turrets etc.
 
-DETAILS:
+
+
+    ---=== POSSIBLE APPROACHES ===---
+
+- Sub-Parts are Pawns.
+    PRO: - Basic structure of a destructible (and controllable, for turrets) is provided.
+    CON: - Need to build something to hook Pawns together, allowing them to interact with each other.
+
+- Create a new class/interface: DestructibleEntity.
+  Create a new class: ShipPart, which is a DestructibleEntity.
+  Create a new class: Turret, which is a ShipPart.
+    PRO: - More 'leightweight' than a Pawn. Can be used for simple things such as Asteroids too.
+         - Parts can easily be attached to each other in XML
+    CON: - Need to copy property of getting damage from hits from pawns
+         - Need to add controllers for Turret again
+
+
+!=== THE FOLLOWING REFERS TO THE LAST APPROACH ===!
+
+    HOW IT'LL LOOK IN XML
+
+<BigShip [parameters]>
+
+    <engines>
+        ...
+    </engines>
+    
+    <attached>    
+        <Model [parameters] />
+        
+        <ShipPart [parameters]>
+            <attached>
+                <Model [parameters] />
+            </attached>
+            <collisionShapes>
+                ...
+            </collisionShapes>
+        </ShipPart>
+        
+        <ShipPart [parameters]>
+            ...
+        </ShipPart>
+    </attached>
+    
+    <collisionShapes>
+        ...
+    </collisionShapes>
+    
+<BigShip>
+
+
+
+    DETAILS:
 
 - BigShip class:
     - /src/orxonox/worldentities/pawns -> Create BigShip.cc and BigShip.h, inherit from SpaceShip
-    - Damage can be shared with sub-parts. (Implement new HUD?)
-      - Modify damage() as needed
+    - Damage can be shared with sub-parts. (Implement new HUD, which shows sub-parts health?)
+     ?- How to mange/list sub-parts? Arrays?
+      - Modify damage() as needed, calls damagePart()
       - Spread damage relative to how much of the overall health a part has.
         (If a part has 20% of the total health, it gets 20% of the damage)
       - void damagePart(... , ShipPart part)
     - Destruction of sub-parts can alter datavalues of the ship (e.g. shield or acceleration)
+      or disable weapons
+
+- DestructibleEntity class
+   ?- is a StaticEntity?
+    - defined in XML Parameters: health, animation upon death
+    - receives damage from hits (and from other sources?)
+    - has health
+    - special events on 'destruction'
+    - special animation upon destruction
+ 
 - ShipPart class
+    - is a DestructibleEntity
+    - has a BigShip as *owner
     - Has own health
     - Receives damage from direct hits and from parent-part
     - Triggers events on destruction (e.g. disabling weapons or weakening shields)
+      - Invisible & not collidable? Or actually inexistent?
+
+- Turret class
+   ?- is a ShipPart?
+    - has a controller
+
